<mat-expansion-panel [expanded]="isExpanded" *ngIf="plan!=null" class="mb-16">
  <mat-expansion-panel-header>
    <div class="row text-bold color-primary full-width">
      <div class="col-5">
        <div class="row p-0">
          <div class="col">
            <span class="small-text">From: </span>{{plan.from | date:'dd.MM.YY' }}
          </div>
        </div>
        <div class="row">
          <div class="col">
            <span class="small-text">To: </span>{{plan.to | date:'dd.MM.YY'}}
          </div>
        </div>
      </div>
      <div class="col p-0">
        <mat-chip *ngIf="isCurrent(plan.from, plan.to)">Current</mat-chip>
      </div>
      <div class="col p-0">{{sumTime() | duration}}</div>
      <div class="col p-0">
        <i class="material-icons normal__icon" (click)="$event.stopPropagation(); editDish()">edit</i>
        <i class="material-icons remove__icon" (click)="removeDish()">delete</i>
      </div>
    </div>
  </mat-expansion-panel-header>
  <mat-divider></mat-divider>
  <div class="row text-bold color-primary">
    <div class="col">DISHES</div>
    <div class="col">SHOPPING LIST</div>
  </div>
  <mat-divider></mat-divider>
  <div class="row pt-16">
    <div class="col">
      <ng-container *ngFor="let day of allDays">
        <div class="row pt-16">
          <app-planned-dished-by-day [day]="day" [dishes]="plan.dishes"></app-planned-dished-by-day>
        </div>
        <mat-divider></mat-divider>
      </ng-container>
    </div>
    <div class="col">
      todo change getting ingredients list
<!--      <ng-container *ngFor="let category of allCategory">-->
<!--        <div class="row pt-16">-->
<!--          <app-planned-ingredients [category]="category"-->
<!--                                   [planIngredients]="plan.planIngredients"></app-planned-ingredients>-->
<!--        </div>-->
<!--      </ng-container>-->
    </div>
  </div>
</mat-expansion-panel>
